/*
 * Copyright (c) 1998-2004 The Jgroup Team.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */
package jgroup.jini.txn;

import java.rmi.RemoteException;
import jgroup.core.InternalGMIListener;
import net.jini.core.transaction.UnknownTransactionException;


/**
 * @author Rohnny Moland
 * @author Heine Kolltveit
 * @since Jgroup 2.2
 */
public interface InternalPassiveGroupTransactionManager 
  extends InternalGMIListener, java.io.Serializable
{
  /**
   * Transfers the state of the txn  
   * to other members of the group.
   * 
   * @param txnMgr
   *   The <code>TxnManagerTransaction</code> object
   * @param id
   *   Transaction id of current transaction
   * @throws RemoteException
   */
  public void transPrepared(Object txnMgr, long id)
    throws RemoteException;
    
  public void transCommitted(long id)
    throws UnknownTransactionException, RemoteException;

}