/*
 * Copyright (c) 1998-2005 The Jgroup Team.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */
package jgroup.relacs.gm;

import java.io.IOException;

import jgroup.core.Layer;

/**
 * Service interface for performing lookups from a replicated
 * client group using the group-enabled lookup service (greg).
 * 
 * See <code>LookupService<code> for more details.
 *
 * @author Rohnny Moland
 * @since Jgroup 2.2
 */
public interface GregLookupService
  extends Layer
{
  /**
   * Returns a proxy for the remote object group associated with 
   * the specified name in greg. 
   *  
   * @param name
   *   The name associated with the remote object group.
   * @return
   *   A proxy for the remote object group.
   * 
   * @exception IOException
   *   If an error occured during lookup.
   */
  public Object lookup(String name)
    throws IOException;

} // END GregLookupService
