/*
 * Copyright (c) 1998-2004 The Jgroup Team.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */
package jgroup.relacs.gm;

import jgroup.core.Layer;

/**
 * Service interface for the GregRegistryLayer.
 * 
 * @author Rohnny Moland
 * @since Jgroup 2.2
 */
public interface GregRegistryService 
  extends Layer
{  
  
  /**
   * Joins the given server to the object group associated with the 
   * specfied name, into greg.
   *  
   * @param serviceName
   *   The name associated with the object group
   *  @param groups
   *   The lookup groups to register with the service proxy
   */
  public void join(String serviceName, String[] groups);
  
}
