/*
 * Copyright (c) 1998-2005 The Jgroup Team.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */
package jgroup.relacs.registry;

import java.io.IOException;
import java.rmi.AccessException;
import java.rmi.NotBoundException;
import java.rmi.Remote;
import java.rmi.RemoteException;

import jgroup.core.registry.LookupRegistry;
import jgroup.jini.LookupManager;

/**
 * greg registry implementation.
 * 
 * @author Rohnny Moland
 */
public class GregRegistryImpl
  implements LookupRegistry
{

  public Remote lookup(String name) 
    throws RemoteException, NotBoundException, AccessException
  {
    try {
      Remote proxy = (Remote) LookupManager.lookup(name);
      return proxy;
    } catch (IOException e) {
      throw new RemoteException("Failed to retrieve a reference to the remote object");
    }
  }

  public String[] list() throws RemoteException, AccessException
  {
    throw new UnsupportedOperationException("Not supported");
  }
}

