/*
 * Copyright (c) 1998-2002 The Jgroup Team.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

package jgroup.test.hello;

/**
 *  Answer object returned by sayHello
 *
 *  @author Alberto Montresor
 *  @author Hein Meling
 *  @since Jgroup 1.0
 */
public class Answer
  implements java.io.Serializable
{

  private static final long serialVersionUID = 473841093424774824L;

  /** Hello message */
  private String message;

  /** Time at which the last view has been installed by members */
  private Object[] time;


  /**
   *  Creates a new <code>Answer</code> object instance with the
   *  specified message.
   *
   *  @param message
   *    The message to return as an answer to the sayHello() method.
   */
  public Answer(String message)
  {
    this.message = message;
  }


  public void setTime(Object[] timeValues)
  {
    time = timeValues;
  }


  public String toString()
  {
    StringBuilder buf = new StringBuilder();
    buf.append(message);
    buf.append(": ");
    if (time != null) {
      for (int i = 0; i < time.length; i++) {
        buf.append(time[i]);
        buf.append(" ");
      }
    }
    return buf.toString();
  }

} // END of Answer
