/*
 * Copyright (c) 1998-2002 The Jgroup Team.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESSS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

package jgroup.test.jini;

import jgroup.core.ConfigManager;
import jgroup.core.registry.LookupRegistry;
import jgroup.core.registry.RegistryFactory;

import org.apache.log4j.Logger;

/**
 *
 * @author  Alberto Montresor
 * @since   Jgroup 1.1
 */
public class LookupClient
{
  ////////////////////////////////////////////////////////////////////////////////////////////
  // Logger
  ////////////////////////////////////////////////////////////////////////////////////////////
  
  /** Obtain logger for this class */
  private static final Logger log = Logger.getLogger(LookupClient.class);
  

  public static void main(String[] args)
    throws Exception
  {
    ConfigManager.init();
    LookupRegistry reg = RegistryFactory.getLookupRegistry();
    Hello server = (Hello) reg.lookup("Jgroup/JHelloServer");
    
    for (int i=0; i<20; i++) {
      log.debug(server.sayHello());
      log.debug("Global timestamp: " + Long.toString(server.getGlobalTimestamp()));
    }
  }

} // END LookupClient

