/*
 * Copyright (c) 1998-2004 The Jgroup Team.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */
package jgroup.test.jini.reggie;

import jgroup.core.ConfigManager;
import jgroup.jini.LookupManager;
import net.jini.core.lookup.ServiceTemplate;

import org.apache.log4j.Logger;


/**
 * Simple application to test Reggie.
 * 
 * @author Rohnny Moland
 */
public class ReggieHelloClient
{
  ////////////////////////////////////////////////////////////////////////////////////////////
  // Logger
  ////////////////////////////////////////////////////////////////////////////////////////////

  /** Obtain logger for this class */
  private Logger log = Logger.getLogger(ReggieHelloClient.class);


  ////////////////////////////////////////////////////////////////////////////////////////////
  // Fields
  ////////////////////////////////////////////////////////////////////////////////////////////
  
  private ReggieHello reggieHello;
  

  ////////////////////////////////////////////////////////////////////////////////////////////
  // Constructor and main
  ////////////////////////////////////////////////////////////////////////////////////////////

  /**
   *  Instantiates a ReggieHelloClient object.
   */
  public static void main(String args[])
    throws Exception
  {
    new ReggieHelloClient();

    // stay around long enough to receive replies
    try {
        Thread.sleep(100000L);
    } catch(java.lang.InterruptedException e) {
        // do nothing
    }
    
  }
  
  
  /**
   *  Constructor invoked by main
   */
  public ReggieHelloClient()
    throws Exception
  {
    ConfigManager.init();
    Class[] types = new Class[] { ReggieHello.class };
    ServiceTemplate template = new ServiceTemplate(null, types, null);
    reggieHello = (ReggieHello) LookupManager.lookup(template);
    
    log.debug(reggieHello.sayHello());
  }

}
