/*
 * Copyright (c) 1998-2004 The Jgroup Team.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */
package jgroup.test.jini.txn;

/**
 * Persistent class used to save Accounts. Used together with
 * the package.jdo file.
 * 
 * @author Rohnny Moland
 */
public class Account
{
  private long number;
  private int balance;
  
  /** Empty constructor */
  public Account() {}
  
  /**
   * Creates a new account.
   * 
   * @param number Account number
   * @param balance Balance of account
   */
  public Account(long number, int balance)
  {
    this.number = number;
    this.balance = balance;
  }
  
  /**
   * Get the account number of an account.
   * 
   * @return account number
   */
  public long getNumber() 
  {
    return this.number;
  }
  
  /**
   * Get the balance of an account.
   * 
   * @return balance of account
   */
  public int getBalance() 
  {
    return this.balance;
  }
  
  /**
   * Set the account number of an account.
   * 
   * @param number new Account number
   */
  public void setNumber(long number)
  {
    this.number = number;
  }
  
  /**
   * Set balance of an account. 
   * 
   * @param balance New balance
   */
  public void setBalance(int balance) 
  {
    this.balance = balance;
  }
}
