/*
 * Copyright (c) 1998-2002 The Jgroup Team.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

package jgroup.test.performance;

import jgroup.core.registry.DependableRegistry;
import jgroup.core.registry.RegistryFactory;
import jgroup.relacs.daemon.Daemon;
import jgroup.relacs.daemon.DaemonService;

/**
 * a very simple client of a dependable registry. It shows the contents of the
 * registry and quits.
 * 
 * @author Marcin Solarski
 * @since Jgroup 2.1
 * 
 *  
 */
public class RegistryClient
{

  public static void main(String[] args)
  {

    DependableRegistry reg = null;
    try {
      reg = RegistryFactory.getRegistry();
    } catch (Exception e) {
      System.err.println("Error when contacting the registry");
      System.exit(1);
    }

    String names[] = null;

    try {
      names = reg.list();
    } catch (Exception e) {
      System.err.println("Error when listening  the registry");
      System.exit(1);
    }

    System.out.println("Entries in the Registry");
    for (int i = 0; i < names.length; i++) {
      System.out.println("[" + i + "]: " + names[i]);
    }
    System.out.println("=========");

    try {
      DaemonService daemonService = Daemon.createDaemon(null);
      System.out.println("Daemon found in bootstrap registry ");
    } catch (Exception e) {
      System.err.println("Error when looking up the local daemon in the registry");
      e.printStackTrace();
      System.exit(1);
    }

  }
}