/*
 * Copyright (c) 1998-2002 The Jgroup Team.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

package jgroup.test.performance;

import java.rmi.RemoteException;

import jgroup.core.ExternalGMIListener;

/**
 * Interface used shutdown a Jgroup server remotely.
 *
 * @author Hein Meling
 * @since Jgroup 2.1
 */
public interface RemoteShutdown
  extends ExternalGMIListener
{

  /**
   * Prepare to shut down the server
   */
  public void preShutdown()
    throws RemoteException;

  /**
   * Shut down the server
   */
  public void shutdown(int delay)
    throws RemoteException;
  
} // END RemoteShutdown
