/*
 * Copyright (c) 1998-2004 The Jgroup Team.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

package jgroup.core;

/**
 * Runtime exception thrown at the client side to indicate that
 * the server group is unreachable (or has failed entirely).
 *
 * @author Hein Meling
 */
public class GroupUnreachableException
  extends RuntimeException
{

  private static final long serialVersionUID = 1248929758066198771L;

  /**
   * Construct the exception with the ascribed message.
   */
  public GroupUnreachableException(String s)
  {
    super(s);
  }

  /**
   * Construct the exception with the ascribed message, and nested
   * exception.
   */
  public GroupUnreachableException(String s, Exception e)
  {
    super(s, e);
  }

} // END GroupUnreachableException
