/*
 * Copyright (c) 1998-2002 The Jgroup Team.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

package jgroup.core.arm;

/**
 *  The <code>RecoveryListener</code> is a marker interface for the <i>Recovery</i>
 *  service.  Servers do not need to implement this interface, when the recovery
 *  service is specified in the <i>applications.xml</i> file.  This is since server
 *  will use the recovery service automatically.  However, some servers may wish to
 *  provide some control over the shutdown procedure implemented within the recovery
 *  layer.  Such servers must implement the <code>ShutdownListener</code> interface,
 *  which provides a <code>shutdown()</code> method.
 *
 *  @author Hein Meling
 *  @since Jgroup 1.2
 *  @see jgroup.core.arm.ShutdownListener
 */
public interface RecoveryListener
{
} // END of RecoveryListener
