/*
 * Copyright (c) 1998-2002 The Jgroup Team.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

package jgroup.core.arm;

/**
 *  The <code>ShutdownListener</code> must be implemented by servers that
 *  wish have control over its own shutdown procedure.  Servers that do not
 *  implement this interface will still be removed when elected, but forcibly,
 *  even though they do not implement neither <code>ShutdownListener</code>
 *  or the <code>RecoveryListener</code>.
 *
 *  @author Hein Meling
 *  @since Jgroup 2.1
 */
public interface ShutdownListener
  extends RecoveryListener
{

  /**
   * Method provided by the server to allow it to perform a clean shutdown
   * procedure, when elected by the <code>RecoveryLayer</code> to be removed.
   */
  public void shutdown();

} // END of ShutdownListener
