/*
 * Copyright (c) 1998-2002 The Jgroup Team.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

package jgroup.relacs.events;



/**
 *  The <code>MemberLeftEvent</code> class represents a local message
 *  exchanged between members and the daemon; it is used by the daemon
 *  to notify the member that it has successfully left the group.
 *
 *  @author Alberto Montresor
 *  @author Hein Meling
 *  @since  Jgroup 0.1
 */
public final class MemberLeftEvent
  extends Event
{

  ////////////////////////////////////////////////////////////////////////////////////////////
  // Constructors
  ////////////////////////////////////////////////////////////////////////////////////////////

  private static final long serialVersionUID = -3717930583836673631L;

  /**
   *  Default constructor for externalization.
   */
  public MemberLeftEvent()
  {
  }

  /**
   *  Creates a <code>MemberLeftEvent</code> object for the specified
   *  group identifier.
   */
  public MemberLeftEvent(int gid)
  {
    super(MEMBER_LEFT_EVENT, gid);
  }

} // END MemberLeftEvent
