/*
 * Copyright (c) 1998-2002 The Jgroup Team.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

package jgroup.relacs.gm;

import jgroup.core.Layer;


/**
 *  Service interface for the lease layer.
 * 
 *  @author Henning Hommeland
 *  @author Jo Andreas Lind
 *  @since Jgroup 2.1
 */
public interface LeaseService
  extends Layer
{
  /** 
   *  The default refresh rate used by this layer (milliseconds) to update
   *  the dependable registry.  Changes to the refresh rate should be
   *  configured in the <code>applications.xml</code> configuration file.
   *
   *  @see jgroup.core.registry.RegistryService#DEFAULT_LEASE_TIME
   */
  public static final int DEFAULT_REFRESH_RATE = 30000;

} // END LeaseService
