/*
 * Copyright (c) 1998-2002 The Jgroup Team.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

package jgroup.relacs.gm;

import java.rmi.Remote;
import java.rmi.RemoteException;

import jgroup.relacs.events.Event;


/**
 *  This is the remote interface of the dispatcher service, that contains
 *  a method to queue events in the member's dispatcher.
 *
 *  @author Alberto Montresor
 *  @since 1.2
 */
public interface RemoteDispatcher
  extends Remote
{

  /**
   *  Receives and stores a message from daemon
   */
  public void addEvent(Event event)
    throws RemoteException;

  
} // END RemoteDispatcher
