/*
 * Copyright (c) 1998-2002 The Jgroup Team.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

package jgroup.relacs.mss;

/**
 *  The <code>FragmentIterator</code> interface allows a message to be
 *  iterated on, by returning a single fragment at each invocation of
 *  the <code>next()</code> method.
 *
 *  @author Hein Meling
 *  @since Jgroup 1.2
 */
public interface FragmentIterator
{

  public byte[] getFragment(int fid);

  public int fragmentLength();

  public int getFid();

  public Msg getMsg();

  public boolean hasNext();

  public byte[] next(boolean broadcast);

} // END FragmentIterator
