/*
 * Copyright (c) 1998-2002 The Jgroup Team.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

package jgroup.relacs.mss;

import java.net.DatagramPacket;

/**
 *  The <code>NIListener</code> interface must be implemented 
 *  to receive notification of packet arrivals.
 *
 *  @author Salvatore Cammarata
 *  @since Jgroup 1.2
 */
public interface NIListener
{
  
  /**
   *  Invoked to notify the arrival of a packet
   */
  public void rnotify(DatagramPacket msg);

} // END NIListener

